Buenas Wecindario, hoy vamos a ver, cómo  Plesk nos  proporciona soporte para distintas versiones de PHP y distintos controladores. Y en el administrador de Plesk encontrarás indicaciones para instalar PHP en el servidor.

Cómo instalar y desinstalar PHP

Para instalar una versión específica del PHP en nuestro servidor o , en su defecto, eliminar una versión del servidor, (o cualquier otro componente) has de seguir estos pasos :

  1. Vamos a  Herramientas y configuración > Actualizaciones y pinchamos en  Adición/eliminación de componentes.

 

PHP

 

PHP

 

PHP

  1. Cómo Ves en el ejemplo. , las versiones instaladas están verdes, las otras llevan una cruz roja. En mi ejemplo están todas instaladas . Pero si te aparece alguna en cruz roja, pinchas en la flecha y luego en instalar en cada una a instalar
    Y añade todos los componentes que quieras, ya que estás en esta sección y abajo del todo en continuar

  2. Si pinchas en la flecha en un componente instalado, te saldrá la opción de eliminar, si quieres quitar cosas ahora es el momento, añade y quita  lo que quieras del vps y luego pinchas en continuar

Cuando se instala una versión de PHP, Plesk configura, de forma automática,  los tipos de controladores estándares (CGI, FastCGI, PHP-FPM) para dicha versión a instalar

A tener en cuenta: en los  SOs anteriores, ejemplo, CentOS 6.x, es imprescindible instalar el componente Soporte PHP-FPM del proveedor del SO para, luego, poder usar el controlador de PHP-FPM. Si lo queremos hacer, el componente está en Adición/eliminación de componentes,en  Hosting web > Servidor web nginx y servidor de proxy inverso.

A tener en cuenta: en el los SOs nuevos como Debian 10, es posible que no puedas instalar versiones más antiguas (como por ejemplo la versión 5.6 ), ya que ,  no son compatibles con las versiones modernas de OpenSSL incluidas en los SOs.

Puedes hacer que determinados tipos de controlador estén disponibles,  o no disponibles,  para tus alojados . Por ejemplo, puedes permitir a sus clientes usar o bien FastCGI o PHP-FPM con PHP 7.1, pero únicamente PHP-FPM con PHP 5.6). Y adicionalmente puedes establecer una configuración de PHP diferente para cada  PHP.

Observación: En Plesk Obsidian y versiones posteriores, el componente PHP de sistema,  no es obligatorio. Ahora puedes:

  • Instalar el plesk  sin el componente del sistema.
  • Eliminar el componente del sistema despues de  instalar Plesk Obsidian o lo hayas actualizado
  • Instalar y usar builds personalizadas,  en vez del componente PHP del sistema.
  • Instalar Horde sin el componente del sistema.

Accede a más contenido

En Hoswedaje, ofrecemos más contenido en relación a Plesk. Una publicación que recomendamos sería agregar y eliminar componentes de Plesk. Además, os dejamos otro acerca de las actualizaciones principales de Plesk. Si necesitas llamarnos, no dudes en realizarlo. ¡Siempre estaremos para ayudarte!

ip publica Aprende a agregar y eliminar componentes de Plesk, leyendo la siguiente publicación.

ip publica Descubre ya mismo las actualizaciones principales de Plesk, echándole un vistazo a este post tan interesante.